You shouldn't have any issues with upgrading. XML Commons External (a.k.a XML APIs) v1.4 is binary compatible with older versions.

Thanks.

Michael Glavassevich
XML Parser Development
IBM Toronto Lab
E-mail: mrglavas@ca.ibm.com

E-mail: mrglavas@apache.org

Avner Aviad <avner@yamsoftware.com> wrote on 09/29/2010 02:54:15 PM:

> I am planning an upgrade of xml_apis for a VERY large organization
> with many dependent teams. Is this the right place to discuss the
> track record of such upgrade? What should I expect? Can anyone
> discuss the known issues with this upgrade? What caveats and
> breakage should I expect (if at all)?

>
> (My own inspection show only additional functionality which is a
> good start. Some teams are already upgraded successfully)

>
> (By the way, the main reason for this upgrade is an planned upgrade
> of Batik 1.6->1.7. I will be glad to hear or get resources about the
> upgrade path too)

>
> Thanks in advance.

> Avner
>
> --
> Avner Aviad
> Yam Software
> +972-54-454-3976
> http://www.yamsoftware.com